Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
PHP with Expect
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
courage
n00b
n00b


Joined: 22 May 2007
Posts: 38

PostPosted: Wed Feb 24, 2016 5:59 pm    Post subject: PHP with Expect Reply with quote

Hello!

I'm trying to get PHP with the expect module working, but I can't seem to even compile it.
At first by using "pecl install expect" it always gave an error that it fails to get TCL version ( checking for tcl version... ), but after going trough the source code of configure script I found that the locations where all wrong so I move those files so the configure script can find it.

Now it complains about "incompatible pointer type" and about -lexpect missing.
I do have dev-tcltk/expect and many others libraries/apps installed but it still says I don't have it.

Here is the install output: http://pastebin.com/pfTj3m4x
Anyone had any success installing pecl expect for PHP on Gentoo?

Please help, spent two weeks and still can't find a solution, I really need it to get it working!
Back to top
View user's profile Send private message
Tatsh
Apprentice
Apprentice


Joined: 22 Jul 2007
Posts: 179

PostPosted: Mon Mar 07, 2016 10:00 am    Post subject: Reply with quote

Probably have to install dev-tcltk/expect for this to work.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum